=== debian/changelog ===
request-tracker4 (4.2.11-2) unstable; urgency=high

  * Apply upstream patches fixing security vulnerabilities:
    - cross-site scripting (XSS) attack via the user and group rights
      management pages (CVE-2015-5475)
    - cross-site scripting (XSS) attack via the cryptography interface

 -- Dominic Hargreaves <dom@earth.li>  Tue, 11 Aug 2015 22:49:56 +0100

request-tracker4 (4.2.11-1) unstable; urgency=medium

  * The issue fixed by security patch sec-2015-02-05-1 is addressed
    properly in 4.2.10 by depending on a newer Encode, so drop that patch
  * Add alternative Depends/Suggests on the virtual MySQL packages, to
    support the MariaDB and Percona forks (Closes: #732910)
  * Apply a workaround for changes to File::Which which broke the test
    suite (fixes FTBFS)
  * New upstream release
  * Add database upgrade script and NEWS entry
  * Add NEWS entry for manual steps needed to benefit from faster FTS
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 10 May 2015 13:49:19 +0100

request-tracker4 (4.2.10-1) experimental; urgency=medium

  * New upstream release (Closes: #773814)
  * Add Recommends on optional new libhtml-formatexternal-perl
    to improve plain text rendering
  * Update dependency on Encode to 2.64
  * Remove some redundant permission changes in debian/rules
  * Use Conflicts rather than Breaks for rt4-extension-assettracker
    (thanks, Lintian)
  * Add database upgrade script and NEWS entry
  * Depend on libtime-parsedate-perl instead of libtime-modules-perl
    (Closes: #749873)
  * Add Build-Depends on libdbd-mysql-perl to fix test failure for
    MySQL-specific script

 -- Dominic Hargreaves <dom@earth.li>  Sun, 29 Mar 2015 23:03:43 +0100
