=== debian/control ===
Source: request-tracker4
Section: misc
Priority: optional
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>, Dominic Hargreaves <dom@earth.li>
Build-Depends: debhelper (>= 5),
 po-debconf,
 libdbd-sqlite3-perl,
 perl (>= 5.17.10) | libpod-simple-perl (>= 3.24),
 libhtml-parser-perl,
 libemail-abstract-perl,
 libtest-email-perl,
 libwww-mechanize-perl,
 libtest-www-mechanize-perl (>= 1.30),
 libtest-expect-perl (>= 0.31),
 libxml-simple-perl,
 libtest-deep-perl,
 libtest-warn-perl,
 perl (>= 5.10.1) | libtest-simple-perl (>= 0.90),
 libtest-mocktime-perl,
 libtest-www-mechanize-psgi-perl,
 libplack-middleware-test-stashwarnings-perl (>= 0.08),
 libtest-longstring-perl,
 libtest-nowarnings-perl,
 libhtml-mason-perl (>= 1:1.43),
 libapache-session-perl (>= 1.53),
 libregexp-common-perl,
 libdbi-perl (>= 1.37),
 libdbix-searchbuilder-perl (>= 1.66),
 libtext-template-perl (>= 1.44),
 liblog-dispatch-perl (>= 2.30),
 liblocale-maketext-fuzzy-perl (>= 0.11),
 liblocale-maketext-lexicon-perl (>= 0.32),
 liblocale-po-perl,
 libmime-tools-perl (>= 5.504),
 libmime-types-perl,
 libmailtools-perl (>= 2.12),
 libtext-wrapper-perl,
 libtime-parsedate-perl,
 libtext-autoformat-perl,
 libtext-wikiformat-perl,
 libhtml-scrubber-perl,
 libmodule-versions-report-perl (>= 1.03),
 libtree-simple-perl (>= 1.04),
 libxml-rss-perl (>= 1.05),
 libxml-simple-perl,
 libgd-graph-perl (>= 1.47),
 libuniversal-require-perl,
 libgd-text-perl,
 libtimedate-perl,
 libfile-sharedir-perl,
 libemail-address-perl (>= 1.897),
 libperlio-eol-perl,
 libdata-ical-perl,
 libtext-quoted-perl (>= 2.07),
 libhtml-rewriteattributes-perl (>= 0.05),
 libgraphviz-perl,
 libgnupg-interface-perl,
 libencode-perl (>= 2.64) | perl (>= 5.21.6),
 libcgi-pm-perl (>= 3.38),
 libfcgi-procmanager-perl,
 libdatetime-perl (>= 0.44),
 libdatetime-locale-perl (>= 0.40),
 libhtml-quoted-perl,
 perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
 libtext-password-pronounceable-perl,
 libdevel-globaldestruction-perl,
 liblist-moreutils-perl,
 libnet-cidr-perl,
 libregexp-common-net-cidr-perl,
 libregexp-ipv6-perl,
 libjson-perl,
 libipc-run3-perl,
 libcgi-psgi-perl (>= 0.12),
 libhtml-mason-psgihandler-perl (>= 0.52),
 libplack-perl (>= 1.0002),
 libcgi-emulate-psgi-perl,
 libconvert-color-perl,
 libclass-accessor-perl (>= 0.34),
 liburi-perl (>= 1.59),
 libipc-run-perl (>= 0.90),
 libterm-readkey-perl,
 libfcgi-perl,
 libcrypt-eksblowfish-perl,
 libdata-guid-perl,
 libdate-extract-perl,
 libdate-manip-perl,
 libdatetime-format-natural-perl,
 libemail-address-list-perl (>= 0.02),
 libhtml-formattext-withlinks-perl (>= 0.14),
 libhtml-formattext-withlinks-andtables-perl,
 libhttp-message-perl (>= 6.0),
 libwww-perl,
 libmodule-refresh-perl (>= 0.03),
 librole-basic-perl (>= 0.12),
 libsymbol-global-name-perl (>= 0.04),
 libfile-which-perl,
 libcrypt-x509-perl,
 libstring-shellquote-perl,
 libmojolicious-perl,
 libset-tiny-perl,
 libcrypt-ssleay-perl,
 libapache-dbi-perl (>= 0.92),
 liblog-dispatch-perl-perl,
 libcss-squish-perl,
 libtest-pod-perl,
 libdbd-mysql-perl,
Build-Depends-Indep: perl (>= 5.8.3)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-request-tracker/request-tracker4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-request-tracker/request-tracker4.git
Homepage: http://bestpractical.com/rt/

Package: request-tracker4
Architecture: all
Depends: rt4-clients (= ${source:Version}), 
 rt4-standalone (= ${source:Version}) | rt4-apache2 (= ${source:Version}) | rt4-fcgi (= ${source:Version}), 
 rt4-db-sqlite (= ${source:Version})
  | rt4-db-postgresql (= ${source:Version}) 
  | rt4-db-mysql   (= ${source:Version}),
 exim4 | mail-transport-agent, 
 rsyslog | system-log-daemon, ${perl:Depends},
 dbconfig-common (>= 1.8.38),
 ucf (>= 0.28),
 fonts-droid,
 libhtml-mason-perl (>= 1:1.43),
 libapache-session-perl (>= 1.53),
 libregexp-common-perl,
 libdbi-perl (>= 1.37), 
 libdbix-searchbuilder-perl (>= 1.66), 
 libtext-template-perl (>= 1.44), 
 liblog-dispatch-perl (>= 2.30),
 liblocale-maketext-fuzzy-perl (>= 0.11),
 liblocale-maketext-lexicon-perl (>= 0.32), 
 libmime-tools-perl (>= 5.504),
 libmime-types-perl,
 libmailtools-perl (>= 2.12),
 libtext-wrapper-perl, 
 libtime-parsedate-perl,
 libtext-autoformat-perl,
 libtext-wikiformat-perl, 
 libhtml-scrubber-perl,
 libmodule-versions-report-perl (>= 1.03), 
 libtree-simple-perl (>= 1.04),
 libxml-rss-perl (>= 1.05),
 libxml-simple-perl, 
 libgd-graph-perl (>= 1.47),
 libuniversal-require-perl, 
 libgd-text-perl,
 libtimedate-perl,
 libfile-sharedir-perl, 
 libemail-address-perl (>= 1.897),
 libperlio-eol-perl, 
 libdata-ical-perl,
 libtext-quoted-perl (>= 2.07),  
 libhtml-rewriteattributes-perl (>= 0.05),
 libgraphviz-perl,
 libgnupg-interface-perl,
 libencode-perl (>= 2.64) | perl (>= 5.21.6),
 libcgi-pm-perl (>= 3.38),
 libfcgi-procmanager-perl,
 libdatetime-perl (>= 0.44),
 libdatetime-locale-perl (>= 0.40),
 libhtml-quoted-perl,
 perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
 libtext-password-pronounceable-perl,
 libdevel-globaldestruction-perl,
 liblist-moreutils-perl,
 libnet-cidr-perl,
 libregexp-common-net-cidr-perl,
 libregexp-ipv6-perl,
 libjson-perl,
 libipc-run3-perl,
 libcgi-psgi-perl (>= 0.12),
 libhtml-mason-psgihandler-perl (>= 0.52),
 libplack-perl (>= 1.0002),
 libcgi-emulate-psgi-perl,
 libconvert-color-perl,
 libclass-accessor-perl (>= 0.34),
 liburi-perl (>= 1.59),
 libipc-run-perl (>= 0.90),
 libcrypt-eksblowfish-perl,
 libdata-guid-perl,
 libdate-extract-perl,
 libdate-manip-perl,
 libdatetime-format-natural-perl,
 libemail-address-list-perl (>= 0.02),
 libhtml-formattext-withlinks-perl (>= 0.14),
 libhtml-formattext-withlinks-andtables-perl,
 libhttp-message-perl (>= 6.0),
 libwww-perl,
 libmodule-refresh-perl (>= 0.03),
 librole-basic-perl (>= 0.12),
 libsymbol-global-name-perl (>= 0.04),
 libfile-which-perl,
 libcrypt-x509-perl,
 libstring-shellquote-perl,
 libcrypt-ssleay-perl,
 libcss-squish-perl,
 ${misc:Depends}
Recommends: cron-daemon, libhtml-formatexternal-perl, w3m
Suggests: rt4-doc-html
Conflicts: request-tracker,
 request-tracker3.2 (<< 3.2.2-3),
 libdatetime-locale-perl (<< 1:0.44),
 libdatetime-perl (<< 2:0.4900),
 rt4-extension-assettracker
Replaces: request-tracker
Description: extensible trouble-ticket tracking system
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides the core of RT.
 .
 This package supports three database types out of the box: MySQL,
 PostgreSQL and SQLite. In order to support a zero-configuration install,
 SQLite will be used by default, but is not recommended for production
 use. Please see /usr/share/doc/request-tracker4/NOTES.Debian for more
 details and consider installing rt4-db-postgresql or rt4-db-mysql at
 the same time as this package.

Package: rt4-clients
Architecture: all
Depends: ${perl:Depends}, exim4 | mail-transport-agent, 
 libwww-perl, libterm-readkey-perl, 
 libterm-readline-perl-perl | libterm-readline-gnu-perl,
 ${misc:Depends}
Recommends: libio-socket-ssl-perl
Description: mail gateway and command-line interface to request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides support for injecting tickets into Request Tracker
 from a mail server via rt-mailgate. It may be installed onto any
 machine where you want to use the "rt" command-line interface.         

Package: rt4-standalone
Architecture: all
Depends: ${misc:Depends}, starlet
Description: Standalone web server support for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems.
 .
 This package provides the standalone web server interface.

Package: rt4-fcgi
Architecture: all
Depends: ${misc:Depends}, libfcgi-perl, procps, spawn-fcgi
Recommends: nginx-full
Description: External FastCGI support for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides an external FCGI interface for web servers
 including, but not limited to, nginx, and is not needed for web servers
 such as Apache which invoke FCGI programs directly.

Package: rt4-apache2
Architecture: all
Depends: apache2, 
 libapache2-mod-perl2 (>= 2.0.0) | libapache2-mod-fcgid | libapache2-mod-fastcgi, 
 libapache2-mod-perl2 (>= 2.0.0) | libapache-dbi-perl (>= 0.92) | libapache2-mod-fcgid | libapache2-mod-fastcgi,
 ${misc:Depends}
Recommends: libapache2-mod-perl2 (>= 2.0.0), libapache-dbi-perl (>= 0.92),
 libapache2-mod-fcgid
Description: Apache 2 specific files for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides various configuration files and manages the
 necessary dependencies for running request tracker (RT) version 4
 on the Apache 2 web server.

Package: rt4-db-postgresql
Architecture: all
Depends: ${misc:Depends}, libdbd-pg-perl (>= 1.41),
 postgresql-client
Suggests: postgresql
Description: PostgreSQL database backend for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
