## request-tracker4 4.2.12

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 
 RT_VERSION_MAJOR	=	4
 RT_VERSION_MINOR	=	2
-RT_VERSION_PATCH	=	11
+RT_VERSION_PATCH	=	12
 
 RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
 TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)
