=== debian/changelog ===
request-tracker4 (4.2.12-5) unstable; urgency=medium

  * Revert previous change following fix to DateTime::Locale
  * Fix findutils perm syntax. Thanks to Andreas Metzler for the patch
    (Closes: #803021)
  * Run dh_autoreconf so changes in configure.ac are picked up
  * Extract correct (Debian) version number in configure.ac and annotate
    it as from Debian in the web interface (Closes: #796851)
  * Fix problem with SMIME and non-ASCII emails. Thanks to Max Kosmach
    for the patch (Closes: #795133)
  * Include systemd unit file for rt4-fcgi, contributed by
    Christian Loos (Closes: #809376)
  * Add missing dependency on request-tracker4 to rt4-fcgi
  * Update local documentation to reflect current web server support
  * Use dh_prep instead of dh_clean -k, and other Lintian cleanups
  * Switch from fonts-droid to fonts-noto (+ fonts-droid-fallback)
    (Closes: #804687)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 10 Jan 2016 22:36:34 +0000

request-tracker4 (4.2.12-4) unstable; urgency=medium

  * Fix FTBFS caused by change in DateTime::Locale (Closes: #806449)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Nov 2015 17:08:01 +0000

request-tracker4 (4.2.12-3) unstable; urgency=medium

  * Apply patches to allow for extension testing (Closes: #799591)
  * Add missing Should-Start/Should-Stop on rt4-fcgi to fix
    startup dependency issues with systemd (Closes: #794467)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Oct 2015 22:42:45 +0100

request-tracker4 (4.2.12-2) unstable; urgency=high

  * Further simplify rt4-apache2 dependencies; drop all references to
    obsolete libapache-dbi-perl and remove erroneous dependency
    on libapache2-mod-fastcgi with no alternative (Closes: #798383)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 08 Sep 2015 21:33:11 +0100

request-tracker4 (4.2.12-1) unstable; urgency=medium

  * New upstream release
  * Apply test fix with newer libhtml-formattext-withlinks-andtables-perl
    (Closes: #797295)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 01 Sep 2015 22:27:54 +0100

request-tracker4 (4.2.11-3) unstable; urgency=medium

  * Drop libapache-dbi-perl as a Build-Depends, as it's not used (and
    is preventing testing against perl 5.22 whilst libapache2-mod-perl2
    is uninstallable)
  * Prefer libapache2-mod-fcgid over libapache2-mod-perl2, as it's
    generally a better choice

 -- Dominic Hargreaves <dom@earth.li>  Fri, 21 Aug 2015 11:56:49 +0200
