=== debian/control ===
--- 
+++ 
@@ -60,7 +60,7 @@
  libcgi-pm-perl (>= 3.38),
  libfcgi-procmanager-perl,
  libdatetime-perl (>= 0.44),
- libdatetime-locale-perl (>= 0.40),
+ libdatetime-locale-perl (>= 1:1.02),
  libhtml-quoted-perl,
  perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
  libtext-password-pronounceable-perl,
@@ -100,11 +100,12 @@
  libmojolicious-perl,
  libset-tiny-perl,
  libcrypt-ssleay-perl,
- libapache-dbi-perl (>= 0.92),
  liblog-dispatch-perl-perl,
  libcss-squish-perl,
  libtest-pod-perl,
  libdbd-mysql-perl,
+ dh-autoreconf,
+ dh-systemd,
 Build-Depends-Indep: perl (>= 5.8.3)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-request-tracker/request-tracker4.git
@@ -122,7 +123,8 @@
  rsyslog | system-log-daemon, ${perl:Depends},
  dbconfig-common (>= 1.8.38),
  ucf (>= 0.28),
- fonts-droid,
+ fonts-noto-hinted,
+ fonts-droid-fallback,
  libhtml-mason-perl (>= 1:1.43),
  libapache-session-perl (>= 1.53),
  libregexp-common-perl,
@@ -160,7 +162,7 @@
  libcgi-pm-perl (>= 3.38),
  libfcgi-procmanager-perl,
  libdatetime-perl (>= 0.44),
- libdatetime-locale-perl (>= 0.40),
+ libdatetime-locale-perl (>= 1:1.02),
  libhtml-quoted-perl,
  perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
  libtext-password-pronounceable-perl,
@@ -278,7 +280,7 @@
 
 Package: rt4-fcgi
 Architecture: all
-Depends: ${misc:Depends}, libfcgi-perl, procps, spawn-fcgi
+Depends: ${misc:Depends}, request-tracker4, libfcgi-perl, procps, spawn-fcgi
 Recommends: nginx-full
 Description: External FastCGI support for request-tracker4
  Request Tracker (RT) is a ticketing system which
@@ -302,11 +304,8 @@
 Package: rt4-apache2
 Architecture: all
 Depends: apache2, 
- libapache2-mod-perl2 (>= 2.0.0) | libapache2-mod-fcgid | libapache2-mod-fastcgi, 
- libapache2-mod-perl2 (>= 2.0.0) | libapache-dbi-perl (>= 0.92) | libapache2-mod-fcgid | libapache2-mod-fastcgi,
+ libapache2-mod-fcgid | libapache2-mod-perl2 | libapache2-mod-fastcgi,
  ${misc:Depends}
-Recommends: libapache2-mod-perl2 (>= 2.0.0), libapache-dbi-perl (>= 0.92),
- libapache2-mod-fcgid
 Description: Apache 2 specific files for request-tracker4
  Request Tracker (RT) is a ticketing system which
  enables a group of people to intelligently and efficiently manage
@@ -334,3 +333,7 @@
 Description: PostgreSQL database backend for request-tracker4
  Request Tracker (RT) is a ticketing system which
  enables a group of people to intelligently and efficiently manage
+ tasks, issues, and requests submitted by a community of users. It
+ features web, email, and command-line interfaces (see the package
+ rt4-clients).
+ .
