=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 	find . -name '*.in' -print | egrep -v '\.pc|\.\/debian' | sed -e 's/\.in$$//' | while read f; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
 	test -d $(TPSRC)
 
+	dh_autoreconf
+
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# The test suite needs a different configuration in place
 	./configure \
@@ -48,9 +50,6 @@
 	rm -rf var
 endif
 
-	# Although there's a configure stage, we have no make step.
-
-	chmod u+x ./configure
 	# --enable-gpg and --enable-smime disabled for #654697
 	# still usable when manually configured
 	./configure \
@@ -82,12 +81,13 @@
 	-find bak -type f -print | sed -e 's/^bak\///' | while read f; do mv bak/$$f $$f; done
 	-rm -rf bak
 	rm -f config.status config.log config.pld bak html-docs
+	dh_autoreconf_clean
 	dh_clean build-stamp
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(RT_PKG)
@@ -99,8 +99,8 @@
 	# libraries instead
 	# (leave below as example as there'll be different ones to add back)
 	#rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/js/prototype
-	# We will install symlinks to the fonts provided by the fonts-droid
-	# package
+	# We will install symlinks to the fonts provided by the fonts-noto
+	# and fonts-droid-fallback packages
 	rm -rf $(RT_PKG)/usr/share/$(RT)/fonts
 
 	for x in rt-server rt-server.fcgi standalone_httpd; do \
@@ -182,7 +182,10 @@
 	chmod 2755 $(RT_PKG)/var/log/$(RT)/
 	dh_compress
 	dh_perl
+	# NB - we don't enable this by default, in common with the init script
+	#dh_systemd_enable
 	dh_installinit
+	dh_systemd_start
 	dh_usrlocal
 	dh_installdeb
 	dh_gencontrol
